<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
	"http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
	<meta http-equiv="Content-Type" content="text/html; charset=utf-8"/>
	<title>Mozilla.org: Home of the Mozilla Project and Its Community</title>
	<?php require($_SERVER["DOCUMENT_ROOT"]."/inc/meta.php"); ?>
	<?php require($_SERVER["DOCUMENT_ROOT"]."/inc/cssReference.php"); ?>
	<?php require($_SERVER["DOCUMENT_ROOT"]."/inc/jsReference.php"); ?>
</head>
<body class="home">
	
	<?php require($_SERVER["DOCUMENT_ROOT"]."/inc/header.php"); ?>
	
	<div id="main-wrap">
	
		<div id="main">
			
			<div class="moral-wrap"></div>
			<h1 id="moral"><strong>We believe</strong> that the internet should be public, open, and accessible.</h1>
			
			<p class="agree">Do you agree? <a href="#">Leave a comment or read the full manifesto</a> <a href="#comments" class="comments"><span>32017</span></a></p>
			
			<div id="morals" class="cols">
				<p class="three-col"><span class="title">We&rsquo;re a global</span> community of thousands who sincerely believe in the power of technology to enrich people&rsquo;s lives.</p>
				<p class="three-col"><span class="title">We&rsquo;re a public benefit</span> organization dedicated not to making money but to improving the way people everywhere experience the internet.</p>
				<p class="three-col last"><span class="title">And we&rsquo;re an open</span> source software project whose code has been used as a platform for some of the Internet&rsquo;s most innovative projects.</p>
			</div><?php '/#morals' ?>
		
			<div class="project-carousel">
				<h2 id="our-projects">Our Projects <a href="#">View All</a></h2>
			
				<div class="projects">
					<p class="project">
						<img src="/i/products/firefox.png" alt="" />
						<strong>Firefox&reg; 3</strong> The award-winning Web browser!<br /> <a href="#" class="more">Download</a>
					</p>
					<p class="project">
						<img src="/i/products/thunderbird.png" alt="" />
						<strong>Thunderbird&trade;</strong> Enjoy safe, fast, and easy email, Mozilla-style.<br /> <a href="#" class="more">Download</a>
					</p>
					<p class="project">
						<img src="/i/products/seamonkey.png" alt="" />
						<strong>Seamonkey&reg;</strong> Browse, e-mail, chat, and edit all-in-one<br /> <a href="#" class="more">Download</a>
					</p>
					<p class="project">
						<img src="/i/products/camino.png" alt="" />
						<strong>Camino</strong> The award-winning Web browser!<br /> <a href="#" class="more">Download</a>
					</p>
					<p class="project">
						<img src="/i/products/sunbird.png" alt="" />
						<strong>Sunbird</strong> The award-winning Web browser!<br /> <a href="#" class="more">Download</a>
					</p>
					<p class="project">
						<img src="/i/products/bugzilla.png" alt="" />
						<strong>Bugzilla</strong> The award-winning Web browser!<br /> <a href="#" class="more">Download</a>
					</p>
				</div><?php '/.projects' ?>
			
			</div><?php '/.project-carousel' ?>
		
			<div id="news">
			
				<h2 id="latest-news">Latest news from Mozilla <a href="#">View All</a></h2>
				
				<div class="section">
					<p class="date">31 Mar 09</p>
					<p class="item"><strong class="title">Mozilla Celebrates Ten Years</strong> Ten years ago today, March 31, 1998 Mozilla was officially&hellip; <a href="#" class="more">Read&nbsp;On</a></p>
				</div>
				<div class="section">
					<p class="date">26 Nov 09</p>
					<p class="item"><strong class="title">Mozilla Foundation Announces Direct Giving Program</strong> The Mozilla Foundation today announces their new&hellip; <a href="#" class="more">Read&nbsp;On</a></p>
				</div>
				<div class="section">
					<p class="date">17 Sep 09</p>
					<p class="item"><strong class="title">Mozilla Launches Internet Mail and Communications Initiative</strong> Mozilla today announced a new initative&hellip; <a href="#" class="more">Read&nbsp;On</a></p>
				</div>
			
			</div><?php '/#news' ?>
		
		</div><?php '/#main' ?>
	
	</div><?php '/#main-wrap' ?>
	
	<div id="sub">
		
		<div id="get-involved" class="bug">
			<h2>Get Involved</h2>
			<p><a href="#" class="more">Learn how you can help</a></p>
		</div><?php '/#get-involved' ?>
	
		<div id="community-sub">
			<h2>Our Community</h2>
			<p id="feeds-url"><a href="#">feeds.mozilla.com</a></p>
		
			<ul class="rows">
				<li style="background-image: url(/i/screen/google-favicon.gif);"><a href="#">Custom headers - MozillaZine Knowledge Base</a> <span>1:40 PM &ndash; edelozier</span></li>
				<li style="background-image: url(/i/screen/labs-favicon.gif);"><a href="#">Labs/Bespin/Settings</a> <span>1:36 PM &ndash; Dalmaer</span></li>
				<li style="background-image: url(/i/screen/book-favicon.gif);"><a href="#">Why no iPhone support for Firefox mobile beta?</a> <span>1:32 PM &ndash; nicoladagostino</span></li>
				<li style="background-image: url(/i/screen/twitter-favicon.gif);"><a href="#">Mozilla.org:Projects</a> <span>1:28 PM &ndash; Davidwboswell (email@meailaddress.com)</span></li>
			</ul>
			
			<p class="more"><a href="#">View more</a></p>
			
		</div><?php '/#community-sub'?>
		

		<div id="gear" class="bug">
			<img class="right" src="/i/shirts.jpg" alt="Mozilla Gear" />
			<h2>Get Mozilla Gear</h2>
			<h3>Support Mozilla</h3>
			<p>If you need t-shirts or software, <a href="#">it&rsquo;s here</a>!</p>
		</div><?php '#gear' ?>	
		
		
	</div><?php '#sub' ?>
	
	<?php require($_SERVER["DOCUMENT_ROOT"]."/inc/footer.php"); ?>
	
</body>
</html>